# Turn on publishing for this Workspace
Source: https://docs.simpleserve.ai/docs/api-reference/publisher-agents/post-publisher-capability

Method: POST /v1/publisher/capability
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/v1/publisher/capability",
  "method": "POST",
  "tags": [
    "Publisher Agents"
  ],
  "operationId": "grantPublisherCapability",
  "summary": "Turn on publishing for this Workspace",
  "description": "Idempotent. Granting twice is the same as granting once.",
  "responses": {
    "200": {
      "description": "What this account may do, after the grant.",
      "headers": {
        "x-request-id": {
          "$ref": "#/components/headers/RequestId"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/PublisherCapability"
          }
        }
      }
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "429": {
      "$ref": "#/components/responses/RateLimited"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}
```